Debian Bug report logs - #631415
ITP: ninka -- source file license identification tool

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: ryanakca@kubuntu.org

Date: Thu, 23 Jun 2011 17:03:02 UTC

Owned by: Clint Adams <clint@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dmg@uvic.ca, ryanakca@kubuntu.org, debian-devel@lists.debian.org, wnpp@debian.org, Ryan Kavanagh <ryanakca@kubuntu.org>:
Bug#631415; Package wnpp. (Thu, 23 Jun 2011 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryanakca@kubuntu.org:
New Bug report received and forwarded. Copy sent to dmg@uvic.ca, ryanakca@kubuntu.org, debian-devel@lists.debian.org, wnpp@debian.org, Ryan Kavanagh <ryanakca@kubuntu.org>. (Thu, 23 Jun 2011 17:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ninka -- source file license identification tool
Date: Thu, 23 Jun 2011 12:57:58 -0400
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Ryan Kavanagh <ryanakca@kubuntu.org>

* Package name    : ninka
  Version         : 1.0-pre2
  Upstream Author : Daniel M. German <dmg@uvic.ca> and
                    Yuki Manabe <y-manabe@ist.osaka-u.ac.jp>
* URL             : http://ninka.turingmachine.org/
* License         : AGPLv3+, GPLv2+
  Programming Lang: Perl, C++
  Description     : source file license identification tool

Analyses source files and determines the licenses they fall under.



ninka's sources include changes to files that were originally
distributed without a license. The changes made by ninka's authors are
AGPLv3+ and, to the best of my understanding, ninka's authors obtained
permission for those files to be freely distributed and modified. One of
ninka's authors informed me that they'd upload a new tarball with the
appropriate license headers for the files affected.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ryan Kavanagh <ryanakca@kubuntu.org>:
Bug#631415; Package wnpp. (Sat, 25 Jun 2011 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ryan Kavanagh <ryanakca@kubuntu.org>. (Sat, 25 Jun 2011 00:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 631415@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: ryanakca@kubuntu.org, 631415@bugs.debian.org
Subject: Re: Bug#631415: ITP: ninka -- source file license identification tool
Date: Sat, 25 Jun 2011 08:37:21 +0800
On Fri, Jun 24, 2011 at 12:57 AM, Ryan Kavanagh <ryanakca@kubuntu.org> wrote:

> * Package name    : ninka
>  Version         : 1.0-pre2
>  Upstream Author : Daniel M. German <dmg@uvic.ca> and
>                    Yuki Manabe <y-manabe@ist.osaka-u.ac.jp>
> * URL             : http://ninka.turingmachine.org/
> * License         : AGPLv3+, GPLv2+
>  Programming Lang: Perl, C++
>  Description     : source file license identification tool
>
> Analyses source files and determines the licenses they fall under.

That sounds quite similar to Fossology, perhaps that would suit your needs?

http://packages.debian.org/sid/fossology

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ryan Kavanagh <ryanakca@kubuntu.org>:
Bug#631415; Package wnpp. (Sat, 25 Jun 2011 01:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to ryanakca@kubuntu.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ryan Kavanagh <ryanakca@kubuntu.org>. (Sat, 25 Jun 2011 01:24:03 GMT) Full text and rfc822 format available.

Message #15 received at 631415@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: Paul Wise <pabs@debian.org>
Cc: 631415@bugs.debian.org
Subject: Re: Bug#631415: ITP: ninka -- source file license identification tool
Date: Fri, 24 Jun 2011 21:21:26 -0400
[Message part 1 (text/plain, inline)]
On Sat, Jun 25, 2011 at 08:37:21AM +0800, Paul Wise wrote:
> That sounds quite similar to Fossology, perhaps that would suit your needs?

ninka is much much simpler to use than Fossology and doesn't require an
SQL (PostgreSQL according to their website), or a web interface. Think
of ninka as devscripts' licensecheck, but supporting many many more
licenses and informs the user about the license's variant (ex, linking
exceptions).

I plan on extending the long description with an abridged list of
supported licenses and various other of ninka's features.

Kind regards,
Ryan

-- 
|_)|_/  Ryan Kavanagh             |  GnuPG key
| \| \  http://ryanak.ca/         |  4A11C97A (Transitioning from E95EDDC9)   
        ()  ascii ribbon campaign - against html e-mail 
        /\  www.asciiribbon.org   - against proprietary attachments
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ryan Kavanagh <ryanakca@kubuntu.org>:
Bug#631415; Package wnpp. (Mon, 27 May 2013 13:27:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ryan Kavanagh <ryanakca@kubuntu.org>. (Mon, 27 May 2013 13:27:56 GMT) Full text and rfc822 format available.

Message #20 received at 631415@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 631415@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ninka: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:26 +0200
retitle 631415 RFP: ninka -- source file license identification tool
noowner 631415
tag 631415 - pending
thanks

Hi,

This is an automatic email to change the status of ninka back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting ninka, please send a mail to
<control@bugs.debian.org> with:

 retitle 631415 ITP: ninka -- source file license identification tool
 owner 631415 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <631415@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: ninka -- source file license identification tool' from 'ITP: ninka -- source file license identification tool' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:29:39 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Ryan Kavanagh <ryanakca@kubuntu.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:29:40 GMT) Full text and rfc822 format available.

Reply sent to Ryan Kavanagh <ryanakca@kubuntu.org>:
You have taken responsibility. (Mon, 27 May 2013 16:54:05 GMT) Full text and rfc822 format available.

Notification sent to ryanakca@kubuntu.org:
Bug acknowledged by developer. (Mon, 27 May 2013 16:54:05 GMT) Full text and rfc822 format available.

Message #29 received at 631415-done@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <ryanakca@kubuntu.org>
To: 631415-done@bugs.debian.org
Subject: Re: Bug#631415: ITP: ninka -- source file license identification tool
Date: Mon, 27 May 2013 12:51:27 -0400
[Message part 1 (text/plain, inline)]
Ninka still suffers some licensing issues. Upstream says he doesn't have
a timeline for when these will be resolved and recommended closing this
ITP.

Best wishes,
Ryan
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Jun 2013 07:29:27 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 21 Sep 2013 06:24:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: ninka -- source file license identification tool' from 'RFP: ninka -- source file license identification tool' Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 21 Sep 2013 06:27:04 GMT) Full text and rfc822 format available.

Owner recorded as Clint Adams <clint@debian.org>. Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 21 Sep 2013 06:27:05 GMT) Full text and rfc822 format available.

Bug reopened Request was from Luca Falavigna <dktrkranz@debian.org> to control@bugs.debian.org. (Sat, 21 Sep 2013 06:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Clint Adams <clint@debian.org>:
Bug#631415; Package wnpp. (Sat, 21 Sep 2013 06:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Clint Adams <clint@debian.org>. (Sat, 21 Sep 2013 06:42:05 GMT) Full text and rfc822 format available.

Message #44 received at 631415@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: "Daniel M. German" <dmg@uvic.ca>
Cc: 631415@bugs.debian.org
Subject: ninka in Debian
Date: Sat, 21 Sep 2013 08:37:58 +0200
Hello Daniel,

it came to my attention ninka has been packaged for Debian and
uploaded to the NEW queue, pending approval by the FTP Team, so it
won't enter Debian archive before their check.

If I remember correctly, there were some pending license issues with
portions of code, but I cannot remember which ones exactly (keyword
database?). Could you please shed a light on this?

Cheers,
Luca



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Clint Adams <clint@debian.org>:
Bug#631415; Package wnpp. (Sun, 22 Sep 2013 12:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Clint Adams <clint@debian.org>. (Sun, 22 Sep 2013 12:42:07 GMT) Full text and rfc822 format available.

Message #49 received at 631415@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@debian.org>
To: "Daniel M. German" <dmg@uvic.ca>
Cc: 631415@bugs.debian.org
Subject: Re: ninka in Debian
Date: Sun, 22 Sep 2013 14:38:18 +0200
2013/9/21 D M German <dmg@uvic.ca>:
> Hi Luca,
>
> The main problem is the program in splitter, included within Ninka.
> ----------------------------------------------------------------------
> dmg@iodine:~/git.w/ninka$ more splitter/README
> Before you can start using Ninka, you need to create the sentence
> breaking program "splitter.pl"
>
> We have used as the basis of our code the perl script "splitter.pl"
> (and its associated data), from Paul Clough, located at
>
> http://ir.shef.ac.uk/cloughie/software.html
>
> as the basis for our program.
>
> Paul has given us permission to use with code. We are very grateful
> for this.
>
> --dmg
> ----------------------------------------------------------------------
>
> More
> specifically, the file:
>
> splitter/splitter.abv that is simply a list of abbreviations. He has no
> idea where it comes from, and hence, he is not willing to license it
> properly :(

That's indeed a bad news :(
I really look forward to a possible solution for this problem



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:16:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.